## despotify-ncurses 0.0.520-maemo1

=== Makefile ===
#
# $Id: Makefile 519 2012-03-17 09:25:26Z dalus $
# 
#

export

CFLAGS = -Wall -Wextra -ggdb -std=gnu99
LDFLAGS = -lz -lvorbisfile

LD = $(CC)

ifndef V
# run "make V=1" to see full command lines
SILENT := @
SILENTDIR := -s
SILENTLIB := --quiet
endif

INSTALL_PREFIX ?= ${DESTDIR}/usr
LINUX_BACKEND = gstreamer

include Makefile.local.mk

ifeq ($(DEBUG), 1)
    CFLAGS += -DDEBUG
endif

ifeq ($(MP3_SUPPORT), 1)
    CFLAGS += -DMP3_SUPPORT
    LDFLAGS += -lmpg123
endif

# Mac OS X specifics
ifeq ($(shell uname -s),Darwin)
    LT = glibtool --tag=CC
else
    LT = libtool $(SILENTLIB) --tag=CC
endif

# windows specifics
ifeq ($(firstword $(subst _, ,$(shell uname -s))), MINGW32)
    LDFLAGS += -leay32
else
    LDFLAGS += -lcrypto
endif

# gcc2 & 3 are ancient and doesn't support -Wno-pointer-sign
ifeq ($(firstword $(subst ., ,$(shell $(CC) -dumpversion))), 4)
    CFLAGS += -Wno-pointer-sign
endif

CLIENTS = clients/simple
ifeq ($(CLIENT_DESPOTIFY), 1)
    CLIENTS += clients/despotify
endif
ifeq ($(CLIENT_GATEWAY), 1)
	CLIENTS += clients/gateway
endif
ifeq ($(CLIENT_MAEMIFY), 1)
	CLIENTS += clients/maemify
endif

SUBDIRS = lib $(CLIENTS)

.PHONY: all clean $(SUBDIRS) install uninstall

all: $(SUBDIRS)

clean: 
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk clean || exit $$?; \
	done

clients: $(CLIENTS)
$(CLIENTS): lib
$(SUBDIRS):
	$(MAKE) $(SILENTDIR) -C $@ -f local.mk

install: $(SUBDIRS)
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk install || exit $$?; \
	done

uninstall:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk uninstall || exit $$?; \
	done

Makefile.local.mk:
	@echo " **** No Makefile.local.mk found, copying dist."
	cp Makefile.local.mk.dist Makefile.local.mk

=== debian/changelog ===
despotify-ncurses (0.0.520-maemo1) fremantle; urgency=low

  * svn-520 despotify reference ncurses client
     doesn't interface/use package named libdespotify

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 7 Jun 2012 10:40:19 +0200

despotify (0.0.0-0) UNRELEASED; urgency=low

  * TODO: update version on build 0.0.YYYYMMDD (last commit's date)

 -- UNDEFINED <root@localhost>  Sun, 26 Jul 2009 21:09:19 +0200

despotify (0.0.20090726-0) UNRELEASED; urgency=low

  * Merged into upstream tree

 -- UNDEFINED <root@localhost>  Sun, 26 Jul 2009 17:29:05 +0200

despotify (0.svn20090605-r339~ppa1~jaunty1) jaunty; urgency=low

  * Automated backport by prevu. No source changes

 -- Tim Kornhammar <tim.kornhammar@gmail.com>  Fri, 05 Jun 2009 13:20:25 +0200

despotify (0.svn20090605-r339) jaunty; urgency=low

  * Svn update.

 -- Tim Kornhammar <tim.kornhammar@gmail.com>  Fri, 05 Jun 2009 13:20:04 +0200

=== debian/control ===
Source: despotify-ncurses
Section: user/sound
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7),
               libtool,
               libao-dev,
               libexpat1-dev,
               libncurses5-dev,
               libpulse-dev,
               libssl-dev,
               libvorbis-dev,
               zlib1g-dev,
	       libncursesw5-dev
Standards-Version: 3.8.3
Homepage: http://despotify.se

Package: despotify-ncurses
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An open source Spotify client, ncurses.
 * C implementation with only F/OSS code
 * Proof of Concept multi-OS client with curses (text-based) UI

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

MAKEFLAGS=CLIENT_GATEWAY=1 CLIENT_DESPOTIFY=1

build: build-stamp
build-stamp: 
	dh_testdir

	mkdir -p $(CURDIR)/debian/tmp
	
	# Add here commands to compile the package.
	$(MAKE) ${MAKEFLAGS}

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean ${MAKEFLAGS}
	rm -rf $(CURDIR)/debian/tmp/

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Build
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ ${MAKEFLAGS}

	install -d $(CURDIR)/debian/despotify-ncurses/opt/despotify-ncurses
	install clients/despotify/despotify $(CURDIR)/debian/despotify-ncurses/opt/despotify-ncurses

	# Install
#	dh_install -si --fail-missing --sourcedir=debian/tmp
	dh_install -si --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
